
Figure - Bug #118261
【IOVDEV-30659】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏点击打开应用时疑似冻屏，
但很快副屏黑屏，adb不能连接
2023-05-26 11:00 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103 

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230525  20点39分（ 第193次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏点击桌面上的应用（文件、智联投屏、搜狗、游戏中心、哔哩哔哩、QQ、爱奇艺、edge、飞书、网易云音乐、QQ音乐HD、腾讯

视频、企业微信、微信、应用宝、快手等）

【实际结果】

副屏点击进入应用时发生疑似冻屏现象，点击无效，还未来得及录像就黑屏。adb不能通过WiFi或usb进行连接。

【期望结果】

副屏显示正常与使用。

【备注】：

发生一次，adb不能通过WiFi或usb进行连接，重启恢复。第194开机连接adb输出历史日志

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/B2eHrIpRoDE%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

History

#1 - 2023-05-26 11:04 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118261/118261-30659.tar.gz

#2 - 2023-05-26 18:35 - CD SYSTEM-胡兵

- Status changed from New to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 王成
https://ofs.human-horizons.com/#/download/index/B2eHrIpRoDE%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118261/118261-30659.tar.gz


====分析

    -  无out of memory/low memory kill/slow dispatch 等系统压力日志，系统正常运行

    -  无anr/tombstones文件，日志也未发现anr等异常

    -  无system_server/zygote重启行为

    -  无电压不稳打印

    -  日志最后还打印点击事件，突然日志停止，怀疑进入ramdump或者发生掉电

【问题出现时间】：20230525 20点39分（ 第193次开机）

----193次开机时间

05-25 20:31:24.490  1532  3010 I ActivityManager: Finished processing BOOT_COMPLETED for u0

-----问题发生前还能响应点击时间

05-25 20:39:11.084  1842  1842 D ViewTouchDebug: mView : com.android.systemui.navigationbar.NavigationBarFrame{f9e3ffd V.E...... ......I. 0,0-2560,46 #7f0b03f2

app:id/navigation_bar_frame}Receive event : MotionEvent { action=ACTION_OUTSIDE, actionButton=0, id0=0, x0=0.0, y0=-1034.0, toolType0

=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=260235,

downTime=260235, deviceId=4, source=0x5002, displayId=0, eventId=1438444870 }

05-25 20:39:11.085  2307  2307 D ViewTouchDebug: mView : DecorView@1eaec6f[Settings]Receive event : MotionEvent { action=ACTION_DOWN, actionButton=0, id0

=0, x0=438.0, y0=424.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0,

eventTime=260235, downTime=260235, deviceId=4, source=0x5002, displayId=0, eventId=350093221 }

------日志最后时间点

05-25 20:39:11.703  3151  4329 D MSF.C.NetConnTag.true: netRecv ssoSeq:-1328826360 uin:*8568 cmd:BzA3BC8rLXQaNiM8HSoqLzoTIjsXKyI -1328825145 cross:0

socketEngineID: 0 socket: 117068107

====下一步计划

此问题大概率是进入ramdump或掉电引发，需要进行复现，出现问题后检查usb端口状态，如果没有端口，需要检查供电是否正常

#3 - 2023-05-30 11:06 - CD TPM-王祥林

以下信息已同步到客户JIRA:

第193次开机过程中，system server没有重启过，也没有发现kernel panic和其他可能导致黑屏或关机的异常。

[sys.system_server.start_count]: [1]

从第194次开机日志中看到，上次重启的原因未知，这种情况一般是突然掉电导致。

[persist.sys.boot.reason.history]: [reboot,8

结合上一条comment，出现问题有两种可能。

1.外部电源异常导致设备掉电关机。

2.设备异常进入ramdump模式。

但问题发生的时候没有确认设备端口，也没有抓到ramdump所以无法确实是哪一种情况。

请测试帮忙监控，如果再发生此类突然黑屏关机的情况，请先保留现场，连接usb到电脑查看设备是否有端口，马上联系研发远程调试。

#4 - 2023-06-01 23:11 - CDTS-TEST 周婷

- Category changed from BSP to 冻屏

#5 - 2023-06-25 17:33 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED
#fn0
#fn0
#fn0
#fn0
#fn0
#fn0


客户反馈在110版本上暂未复现，继续跟踪两个版本未复现则关闭BUG

#6 - 2023-07-11 16:21 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户跟踪三个版本未复现，已关闭BUG

#7 - 2023-07-11 16:22 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

20点40分副屏黑屏.mp4 3.08 MB 2023-05-26 CDTS_TEST 王成
